import { Separator } from "./Separator";

export function GalleryTitleHeader() {
    return <header>
        <div
            style={{
                backgroundColor: "transparent",
                height: "37px",
                marginBottom: "3px",
                paddingTop: "4px",
            }}
        >
            <div style={{ float: "left" }}>
                <h2
                    style={{
                        backgroundColor: "transparent",
                        marginTop: "-2px",
                        marginRight: "6px",
                        marginLeft: "2px",
                        float: "left",
                        fontSize: "24px",
                        maxWidth: "420px",
                        fontFamily: "'Nanum Gothic', sans-serif",
                        letterSpacing: "-1px",
                        margin: "2px 8px 0 3px",
                        "textOverflow": "ellipsis",
                        overflow: "hidden",
                        whiteSpace: "nowrap",
                        color: "#29367c",
                    }}
                >
                    <a style={{ color: "rgb(41, 54, 124)" }}>
                        워썬더 갤러리
                        <div
                            style={{
                                backgroundColor: "transparent",
                                backgroundImage:
                                    'url("/sp_image.png")',
                                backgroundRepeat: "no-repeat",
                                display: "inline-block",
                                verticalAlign: "top",
                                marginLeft: "4px",
                                width: "22px",
                                height: "22px",
                                backgroundPositionX: "-195px",
                                backgroundPositionY: "-844px",
                                marginTop: "3px",
                            }}
                        >
                        </div>
                    </a>
                </h2>
                <div style={{ clear: "both" }}></div>
            </div>
            <div style={{ backgroundColor: "transparent", float: "right", paddingTop: "12px" }}>
                <div style={{
                        backgroundColor: "transparent",
                        position: "relative",
                        display: "inline-block"
                    }}>
                    <button
                        style={{
                            backgroundColor: "transparent",
                            cursor: "pointer",
                            verticalAlign: "top",
                            fontSize: "12px",
                            color: "rgb(51, 51, 51)",
                            position: "relative"
                        }}
                    >
                        설정
                    </button>
                    <span style={{ backgroundColor: "transparent", marginRight: "2px" }}>
                        <em
                            style={{
                                backgroundColor: "transparent",
                                backgroundImage:
                                    'url("/sp_image.png")',
                                backgroundRepeat: "no-repeat",
                                display: "inline-block",
                                width: "6px",
                                height: "6px",
                                marginLeft: "4px",
                                verticalAlign: "4px",
                                lineHeight: "30px",
                                backgroundPositionX: "-70px",
                                backgroundPositionY: "-59px"
                            }}
                        >
                        </em>
                    </span>
                </div>
                <Separator />
                <button
                    style={{
                        backgroundColor: "transparent",
                        cursor: "pointer",
                        verticalAlign: "top",
                        fontSize: "12px",
                        fontFamily:
                            '-apple-system, BlinkMacSystemFont, "Apple SD Gothic Neo", "Malgun Gothic", "맑은 고딕", arial, Dotum, 돋움, sans-serif',
                        color: "rgb(51, 51, 51)"
                    }}
                >
                    연관 갤러리(2/8)
                    <span
                        style={{
                            backgroundColor: "transparent",
                            marginRight: "2px",
                            marginLeft: "2px",
                            display: "none"
                        }}
                    >
                    </span>
                    <em
                        style={{
                            backgroundColor: "transparent",
                            backgroundImage:
                                'url("/sp_image.png")',
                            backgroundRepeat: "no-repeat",
                            display: "inline-block",
                            width: "9px",
                            height: "5px",
                            backgroundPositionX: "-115px",
                            backgroundPositionY: "-43px",
                            verticalAlign: "1px",
                            marginLeft: "2px",
                        }}
                    >
                    </em>
                </button>
                <Separator />
                <button
                    style={{
                        backgroundColor: "transparent",
                        cursor: "pointer",
                        verticalAlign: "top",
                        fontSize: "12px",
                        color: "rgb(51, 51, 51)"
                    }}
                >
                    갤주소 복사
                </button>
                <Separator />
                <button
                    style={{
                        backgroundColor: "transparent",
                        cursor: "pointer",
                        verticalAlign: "top",
                        fontSize: "12px",
                        color: "rgb(51, 51, 51)"
                    }}
                >이용안내</button>
                <Separator />
                <button
                    style={{
                        backgroundColor: "transparent",
                        cursor: "pointer",
                        verticalAlign: "top",
                        fontSize: "12px",
                        color: "rgb(51, 51, 51)"
                    }}
                >
                    <em
                        style={{
                            backgroundColor: "transparent",
                            backgroundImage:
                                'url("/sp_image.png")',
                            backgroundRepeat: "no-repeat",
                            display: "inline-block",
                            width: "15px",
                            height: "15px",
                            backgroundPositionX: "-56px",
                            backgroundPositionY: "-168px",
                            marginTop: "1px",
                        }}
                    >
                    </em>
                </button>
            </div>
        </div>
    </header >
}