import { Separator } from "./Separator"

function GalleryContentHeader() {
    return <header>
        <div
            style={{
                marginTop: "16px",
                marginBottom: "29px",
                paddingBottom: "11px",
                borderBottomWidth: "1px",
                borderBottomStyle: "solid",
                borderBottomColor: "rgb(238, 238, 238)"
            }}
        >

            <h3
                style={{
                    paddingRight: "2px",
                    paddingLeft: "2px",
                    marginBottom: "7px",
                    fontSize: "14px",
                }}
            >

                <span> [일반] </span>
                <span>
                    아 e글 유파들이 고도 왜 안올리는지 알았다
                </span>
                <span> </span>
            </h3>
            <div
                style={{
                    position: "relative",
                    fontSize: "13px",
                    cursor: "pointer",
                    paddingRight: "2px",
                    paddingLeft: "2px",
                }}
            >
                <div style={{ float: "left" }}>
                    <span>
                        <em> 썬갤러 </em>
                    </span>
                    <span
                        style={{
                            backgroundColor: "transparent",
                            fontFamily: "tahoma, sans-serif",
                            fontSize: "11px",
                            color: "rgb(153, 153, 153)"
                        }}
                    >
                        (110.15)
                    </span>
                    <span style={{ backgroundColor: "transparent", cursor: "default" }}>
                        <Separator />
                        2025.02.04 21:32:47
                    </span>
                </div>
                <div
                    style={{
                        float: "right",
                        paddingRight: "7px",
                    }}
                >

                    <span style={{ cursor: "default" }}>
                        조회 65
                    </span>
                    <span style={{ cursor: "default" }}>
                        <Separator />
                        추천 0
                    </span>
                    <span style={{ cursor: "default" }}>
                        <Separator />
                        <a
                            style={{
                                backgroundColor: "rgb(238, 238, 238)",
                                color: "rgb(51, 51, 51)",
                                display: "inline-block",
                                height: "20px",
                                lineHeight: "20px",
                                padding: "0px 10px",
                                border: "1px solid rgb(204, 204, 204)",
                                borderRadius: "50px",
                            }}
                        >
                            댓글 13
                        </a>
                    </span>
                </div>
                <div style={{ clear: "both" }}></div>
            </div>
        </div>
    </header>
}

function GalleryRecommendation() {
    return <div
        style={{
            backgroundColor: "rgb(255, 255, 255)",
            width: "auto",
            height: "auto",
            marginRight: "auto",
            marginBottom: "36px",
            marginLeft: "auto",
            paddingTop: "19px",
            border: "1px solid rgb(196, 196, 196)",
            borderRadius: "2px",
            fontFamily:
                '-apple-system, BlinkMacSystemFont, "Apple SD Gothic Neo", "Malgun Gothic", "맑은 고딕", arial, Dotum, 돋움, sans-serif',
            clear: "both",
            minWidth: "288px",
            display: "table"
        }}
    >
        <div
            style={{
                backgroundColor: "transparent",
                textAlign: "center",
                fontSize: "0px",
            }}
        >

            <div
                style={{
                    backgroundColor: "transparent",
                    overflow: "hidden",
                    width: "139px",
                    marginBottom: "2px",
                    display: "inline-block"
                }}
            >

                <div
                    style={{
                        backgroundColor: "transparent",
                        float: "left",
                        width: "67px",
                        paddingTop: "10px",
                        paddingLeft: "11px",
                        textAlign: "center",
                        fontWeight: "bold",
                        color: "rgb(85, 85, 85)"
                    }}
                >
                    <p
                        style={{
                            backgroundColor: "transparent",
                            color: "rgb(211, 25, 0)",
                            fontSize: "12px",
                        }}
                    >0</p>
                    <p style={{ backgroundColor: "transparent", lineHeight: "12px" }}>
                        <span>
                            <img
                                style={{
                                    backgroundColor: "transparent",
                                    verticalAlign: "middle"
                                }}
                            />
                        </span>
                        <span
                            style={{
                                backgroundColor: "transparent",
                                color: "rgb(41, 54, 124)",
                                fontSize: "11px",
                                fontWeight: "normal"
                            }}
                        >

                            0
                        </span>
                    </p>
                </div>
                <button
                    style={{
                        backgroundColor: "transparent",
                        cursor: "pointer",
                        verticalAlign: "middle",
                        fontSize: "12px",
                        fontFamily:
                            '-apple-system, BlinkMacSystemFont, "Apple SD Gothic Neo", "Malgun Gothic", "맑은 고딕", arial, Dotum, 돋움, sans-serif',
                        float: "right",
                        width: "56px",
                    }}
                >
                    <em
                        style={{
                            backgroundColor: "transparent",
                            backgroundImage:
                                'url("/sp_image.png")',
                            backgroundRepeat: "no-repeat",
                            backgroundPositionX: "0px",
                            backgroundPositionY: "-315px",
                            display: "inline-block",
                            width: "56px",
                            height: "56px",
                        }}
                    ></em>
                </button>
            </div>
            <div
                style={{
                    backgroundColor: "transparent",
                    overflowX: "hidden",
                    overflowY: "hidden",
                    width: "139px",
                    marginBottom: "2px",
                    display: "inline-block",
                    marginLeft: "10px",
                }}
            >

                <button
                    style={{
                        backgroundColor: "transparent",
                        cursor: "pointer",
                        verticalAlign: "middle",
                        fontSize: "12px",
                        fontFamily:
                            '-apple-system, BlinkMacSystemFont, "Apple SD Gothic Neo", "Malgun Gothic", "맑은 고딕", arial, Dotum, 돋움, sans-serif',
                        float: "left",
                        width: "56px",
                    }}
                >
                    <em
                        style={{
                            backgroundColor: "transparent",
                            backgroundImage:
                                'url("https://nstatic.dcinside.com/dc/w/images/sp/sp_img.png?1112")',
                            backgroundRepeat: "no-repeat",
                            backgroundPositionX: "0px",
                            backgroundPositionY: "-377px",
                            display: "inline-block",
                            width: "56px",
                            height: "56px",
                        }}
                    />
                </button>
                <div
                    style={{
                        backgroundColor: "transparent",
                        float: "right",
                        width: "64px",
                        paddingTop: "17px",
                        paddingRight: "12px",
                        textAlign: "center",
                        fontWeight: "bold",
                        color: "rgb(85, 85, 85)",
                        fontSize: "16px",
                    }}
                >
                    <p style={{ backgroundColor: "transparent" }}> 0 </p>
                </div>
            </div>
        </div>
        <div
            style={{
                backgroundColor: "transparent",
                clear: "both",
                position: "relative",
                height: "36px",
                borderTopWidth: "1px",
                borderTopStyle: "solid",
                borderTopColor: "rgb(196, 196, 196)"
            }}
        >
            <button
                style={{
                    backgroundColor: "rgb(249, 249, 249)",
                    cursor: "pointer",
                    verticalAlign: "middle",
                    float: "left",
                    width: "95px",
                    height: "36px",
                    marginLeft: "1px",
                    borderRightWidth: "1px",
                    borderRightStyle: "solid",
                    borderRightColor: "rgb(196, 196, 196)",
                    color: "rgb(85, 85, 85)",
                    textShadow: "rgb(255, 255, 255) 0px 1px",
                    position: "relative"
                }}
            >
                <em
                    style={{
                        backgroundColor: "transparent",
                        backgroundImage:
                            'url("/sp_image.png")',
                        backgroundRepeat: "no-repeat",
                        width: "23px",
                        height: "23px",
                        backgroundPositionX: "-270px",
                        backgroundPositionY: "-983px",
                        marginRight: "3px",
                        marginTop: "2px",
                        verticalAlign: "-8px",
                        display: "inline-block"
                    }}
                >

                </em>
                실베추
            </button>
            <button
                style={{
                    backgroundColor: "rgb(249, 249, 249)",
                    cursor: "pointer",
                    verticalAlign: "middle",
                    width: "96px",
                    float: "left",
                    height: "36px",
                    marginLeft: "1px",
                    borderRightWidth: "1px",
                    borderRightStyle: "solid",
                    borderRightColor: "rgb(196, 196, 196)",
                    color: "rgb(85, 85, 85)",
                    textShadow: "rgb(255, 255, 255) 0px 1px",
                    position: "relative"
                }}
            >
                <em
                    style={{
                        backgroundColor: "transparent",
                        backgroundImage:
                            'url("/sp_image.png")',
                        backgroundRepeat: "no-repeat",
                        width: "17px",
                        height: "20px",
                        backgroundPositionX: "-74px",
                        backgroundPositionY: "-262px",
                        marginRight: "6px",
                        verticalAlign: "-4px",
                        display: "inline-block"
                    }}
                >

                </em>
                공유
            </button>
            <button
                style={{
                    backgroundColor: "rgb(249, 249, 249)",
                    cursor: "pointer",
                    verticalAlign: "middle",
                    fontSize: "12px",
                    float: "left",
                    width: "95px",
                    height: "36px",
                    marginLeft: "1px",
                    color: "rgb(85, 85, 85)",
                    textShadow: "rgb(255, 255, 255) 0px 1px",
                    position: "relative"
                }}
            >
                <em
                    style={{
                        backgroundColor: "transparent",
                        backgroundImage:
                            'url("/sp_image.png")',
                        backgroundRepeat: "no-repeat",
                        width: "18px",
                        height: "20px",
                        backgroundPositionX: "-74px",
                        backgroundPositionY: "-241px",
                        marginRight: "6px",
                        verticalAlign: "-4px",
                        display: "inline-block"
                    }}
                >
                </em>
                신고
            </button>
            <div
                style={{ clear: "both" }}
            ></div>
        </div>
    </div>
}

function GalleryNFTPublishButton() {
    return <div
        style={{
            backgroundColor: "transparent",
            position: "absolute",
            left: "0px",
            top: "0px",
            fontSize: "0px",
        }}
    >

        <button
            style={{
                backgroundColor: "rgb(59, 72, 144)",
                cursor: "pointer",
                verticalAlign: "middle",
                fontSize: "12px",
                fontFamily:
                    '-apple-system, BlinkMacSystemFont, "Apple SD Gothic Neo", "Malgun Gothic", "맑은 고딕", arial, Dotum, 돋움, sans-serif',
                textShadow: "rgb(29, 39, 97) 0px -1px",
                color: "rgb(255, 255, 255)",
                overflow: "hidden",
                width: "auto",
                paddingRight: "12px",
                paddingLeft: "11px",
                height: "31px",
                lineHeight: "29px",
                marginLeft: "3px",
                border: "1px solid rgb(41, 54, 124)",
                borderRadius: "2px",
                fontWeight: "bold"
            }}
        >
            NFT 발행하기
        </button>
        <button
            style={{
                backgroundColor: "transparent",
                cursor: "pointer",
                verticalAlign: "middle",
                fontSize: "12px",
                fontFamily:
                    '-apple-system, BlinkMacSystemFont, "Apple SD Gothic Neo", "Malgun Gothic", "맑은 고딕", arial, Dotum, 돋움, sans-serif',
                backgroundImage:
                    'url("https://nstatic.dcinside.com/dc/w/images/sp/sp_image.png")',
                backgroundRepeat: "no-repeat",
                display: "inline-block",
                width: "17px",
                height: "17px",
                backgroundPositionX: "-1px",
                backgroundPositionY: "-1px",
                lineHeight: "0px",
                marginLeft: "5px",
            }}
        >
            <span
                style={{
                    backgroundColor: "transparent",
                    position: "absolute",
                    overflowX: "hidden",
                    overflowY: "hidden",
                    visibility: "hidden",
                    marginTop: "-1px",
                    marginRight: "-1px",
                    marginBottom: "-1px",
                    marginLeft: "-1px",
                    width: "0px",
                    top: "-9999px",
                    fontSize: "0px",
                }}
            >
                엔에프티 안내
            </span>
        </button>
    </div>
}

export function GalleryContent() {
    return <div
        style={{
            backgroundColor: "transparent",
            fontFamily:
                '-apple-system, BlinkMacSystemFont, "Apple SD Gothic Neo", "Malgun Gothic", "맑은 고딕", arial, 굴림, Gulim, sans-serif',
            fontSize: "13px",
            color: "rgb(51, 51, 51)"
        }}
    >
        <GalleryContentHeader />
        <div style={{ lineHeight: "22px" }}>
            <div style={{ backgroundColor: "transparent", marginBottom: "50px" }}>
                <div
                    style={{
                        overflow: "hidden",
                        position: "relative"
                    }}
                >
                    <div>
                        <span style={{ backgroundColor: "transparent", marginLeft: "10px" }}>
                            <img
                                style={{
                                    backgroundColor: "transparent",
                                    maxWidth: "100%",
                                    width: "550px",
                                    height: "350px",
                                }}
                            />
                        </span>
                    </div>
                    <pre />
                    <div
                        style={{
                            backgroundColor: "transparent",
                            overflow: "hidden",
                            width: "900px",
                        }}
                    >
                        <p>

                            s텀 라주르같은걸로 트리밀고 탑젯 처음타니까 고도 올려야한단건
                            모르는거임 이거말곤 ㄹㅇ 뭐가 없을듯
                        </p>
                        <p>
                            그냥 진짜 몰라서 안올리는게 아닐까 싶음
                        </p>
                    </div>
                </div>
            </div>
            <div style={{ backgroundColor: "transparent", position: "relative" }}>
                <GalleryNFTPublishButton />
                <GalleryRecommendation />
            </div>
            <div
                style={{
                    backgroundColor: "transparent",
                    width: "100%",
                    overflow: "hidden",
                    textAlign: "center",
                    marginTop: "10px",
                }}
            />
            <div
                style={{
                    backgroundColor: "transparent",
                    width: "728px",
                    marginTop: "20px",
                    marginRight: "auto",
                    marginLeft: "auto"
                }}
            >
            </div>
        </div>
    </div>
}